//---------------------------------------------------------------------------

#ifndef MainWindowH
#define MainWindowH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include "MandelThread.h"
#include <Graphics.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
//---------------------------------------------------------------------------
class TMainWND : public TForm
{
__published:	// IDE-managed Components
  TStatusBar *Bar;
  TMainMenu *MainMenu1;
  TMenuItem *File1;
  TMenuItem *Exit1;
  TImage *Img;
  TMenuItem *Vypocet1;
  TMenuItem *Mandel1;
  TTimer *Timer;
  TMenuItem *Mandel31;
  TShape *sel;
  TMenuItem *Zobrazeni1;
  TMenuItem *ZoomIn1;
  TMenuItem *ZoomIn2;
  TMenuItem *Reset1;
  TMenuItem *N2x1;
  TMenuItem *N3x1;
  TMenuItem *N5x1;
  TMenuItem *N10x1;
  TMenuItem *N2x2;
  TMenuItem *N3x2;
  TMenuItem *N51;
  TMenuItem *N10x2;
  TMenuItem *Save1;
  TSavePictureDialog *SavePic;
  TMenuItem *Julia21;
  TMenuItem *Julia31;
  TMenuItem *Mandel41;
  TMenuItem *Julia41;
  TMenuItem *Graph1;
  TMenuItem *Boxdimension1;
  TMenuItem *Count1;
  TMenuItem *Redraw1;
  void __fastcall Exit1Click(TObject *Sender);
  void __fastcall Mandel1Click(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall TimerTimer(TObject *Sender);
  void __fastcall Mandel31Click(TObject *Sender);
  void __fastcall ImgMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall ImgMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall ImgMouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
  void __fastcall Reset1Click(TObject *Sender);
  void __fastcall N2x1Click(TObject *Sender);
  void __fastcall N3x1Click(TObject *Sender);
  void __fastcall N5x1Click(TObject *Sender);
  void __fastcall N10x1Click(TObject *Sender);
  void __fastcall N2x2Click(TObject *Sender);
  void __fastcall N3x2Click(TObject *Sender);
  void __fastcall N51Click(TObject *Sender);
  void __fastcall N10x2Click(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall Save1Click(TObject *Sender);
  void __fastcall Julia21Click(TObject *Sender);
  void __fastcall Julia31Click(TObject *Sender);
  void __fastcall Mandel41Click(TObject *Sender);
  void __fastcall Julia41Click(TObject *Sender);
  void __fastcall Count1Click(TObject *Sender);
  void __fastcall Redraw1Click(TObject *Sender);
private:	// User declarations
  
  int Type;		// User declarations
  double sx,sy;
public:
  TMandelThread * MandelThread;
  __fastcall TMainWND(TComponent* Owner);
  void __fastcall Start(int i);
  void setType(int t);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainWND *MainWND;
//---------------------------------------------------------------------------
#endif
