//---------------------------------------------------------------------------


#pragma hdrstop

#include "Render.h"

void Render::Standard(CFractData *data, Graphics::TBitmap *pBMP, double *sx, double *sy)
{
  int x = data->getX();
  int y = data->getLinesFilled();
  int yy = data->getY();

  int bmpx = pBMP->Width;
  int bmpy = pBMP->Height;


  *sx=1;
  *sy=1;

  if (x<=20 || y<=20) return;

  *sx = double(x)/double(bmpx);
  *sy = double(yy)/double(bmpy);


  CDataItem * d = data->getDataPtr();
  unsigned int *C;

  for (int i=0;i<bmpy;i++)
  {
    C=(unsigned*)pBMP->ScanLine[i];
    for (int j=0;j<bmpx;j++)
    {
      int line = int(double(i)*(*sy));
      if (line<y)
      {
        CDataItem * dd  = d + line*x + int(double(j)*(*sx));
        C[j] = (dd->numiter)<<20 | (dd->numiter)<<10 | (dd->numiter);
      }
      else C[j] = 0;
    }
  }
}
//---------------------------------------------------------------------------

#pragma package(smart_init)
