//---------------------------------------------------------------------------


#pragma hdrstop

#include "Registry.h"

//---------------------------------------------------------------------------

CRegistry::CRegistry(int cnt)
{
  data = new int[cnt];
  max_data = cnt;
  start = 0;
  count = 0;
}

CRegistry::~CRegistry()
{
  delete data;
}

void CRegistry::put(int i)
{
  data[(start+count)%max_data] = i;
  count++;
}

int CRegistry::get()
{
  if (count > 0)
  {
    count--;
    return data[(start+count)%max_data];
  }
  return 0;
}

bool CRegistry::is_empty()
{
  if (count>0) return false;
  else  return true;
}

void CRegistry::clear()
{
  start = 0;
  count = 0;
}

#pragma package(smart_init)
